﻿using DevExpress.XtraBars.Docking;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            DockManager dockManager = new DockManager(this);

            DockPanel panel1 = dockManager.AddPanel(DockingStyle.Left);

            panel1.Text = "패널 1";

            DockPanel panel2 = panel1.AddPanel();

            panel2.Text = "패널 2";

            DockPanel containerPanel = panel1.ParentPanel;

            containerPanel.Tabbed = true;
        }

        #endregion
    }
}